Use natural sorting when sorting interfaces

04/25/2024 06:44 AM - Flo Faber

Status: Resolved Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Interfaces Estimated time: 0.00 hour

Target version: 2.8.0   

Plus Target Version: 24.11 Release Notes: Default

Description

When the option Interfaces Sort / Sort Alphabetically is enabled, Interfaces are sorted alphabetically instead of naturally. This causes

interfaces to be sorted like this:

LAN

VLAN12

VLAN120

VLAN24

VLAN240

WAN

This behavior is not at all great for interface-descriptions containing numbers as it causes even more confusion than unsorted

interfaces. Natural sort would improve this a lot:

LAN

VLAN12

VLAN24

VLAN120

VlAN240

WAN

History

#1 - 04/25/2024 06:46 AM - Flo Faber

Opened a PR on GitHub: https://github.com/pfsense/pfsense/pull/4683

#2 - 04/25/2024 01:48 PM - Jim Pingle

- Tracker changed from Bug to Feature

- Affected Architecture deleted (All)

#3 - 10/04/2024 05:09 PM - Marcos M

- Subject changed from Interfaces sorted alphabetically instead of naturally to Use natural sorting when sorting interfaces

- Status changed from New to Pull Request Review

- Target version set to 2.8.0

- Plus Target Version set to 24.08

#4 - 10/04/2024 05:38 PM - Marcos M

- Status changed from Pull Request Review to Feedback

- % Done changed from 0 to 100

#5 - 10/11/2024 02:31 PM - Jim Pingle

- Plus Target Version changed from 24.08 to 24.11

#6 - 10/12/2024 09:14 PM - Alhusein Zawi

after enabling "Sort Alphabetically"

LAN
https://github.com/pfsense/pfsense/pull/4683


VLAN1

VLAN12

VLAN120

VLAN24

VlAN240

WAN

24.11-ALPHA (amd64)

built on Sat Oct 12 8:22:00 PDT 2024

FreeBSD 15.0-CURRENT

#7 - 10/26/2024 10:25 PM - Jordan G

once alphabetical sort has been enabled the interface description sort adheres to alphanumerical ascending list order

tested with 24.11.b.20241026.1338 amd64

#8 - 11/09/2024 06:54 PM - Christopher Cope

- Status changed from Feedback to Resolved

Looks good on

24.11-BETA (amd64)

built on Sat Nov 9 14:00:00 UTC 2024

FreeBSD 15.0-CURRENT

 Marking resolved.
